<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns="http://www.w3.org/1999/xhtml" xmlns:exsl="http://exslt.org/common" extension-element-prefixes="exsl">
	<xsl:output method="html"/>
	<xsl:template match="/Note">
		<html>
			<body>
				<h2>
					<img src="file://N:/Customer Group/Sales/Packing Notes/images/LogoTiny.png" align="center" alt="Logo"/> 
CASE CONTENT LIST
				</h2>
				<h4>Customer:&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="@customer"/>
				</h4>
				<h4>Packing Date:&#160;<xsl:value-of select="substring-before(@created,'T')"/>
				</h4>
				<table border="1">
					<thead>
						<tr bgcolor="#9acd32">
							<th style="text-align: left">&#160;Box Number&#160;</th>
							<th style="text-align: left">&#160;Part Number&#160;</th>
							<th style="text-align: center">&#160;Quantity&#160;</th>
							<th style="text-align: center">&#160;Sales Order&#160;</th>
						</tr>
					</thead>
					<tbody>
						<!-- store a copy of the sorted items in Notes variable -->
						<xsl:variable name="Notes">
							<xsl:apply-templates mode="sortedItems" select="//Note/Item">
								<xsl:sort select="@box"/>
							</xsl:apply-templates>
						</xsl:variable>
						<!-- apply-templates on the sorted items (node-set reference: http://www.xml.com/pub/a/2003/07/16/nodeset.html) -->
						<xsl:apply-templates select="exsl:node-set($Notes)/node()"/>
					</tbody>
				</table>
			</body>
		</html>
	</xsl:template>
	<!-- used to store a copy of the sorted item into variable -->
	<xsl:template match="Item" mode="sortedItems">
		<xsl:copy-of select="."/>
	</xsl:template>
	<!-- table row generated -->
	<xsl:template match="Item">
		<tr>
			<td>
				<xsl:value-of select="@box"/>
			</td>
			<td>
				<xsl:value-of select="@part"/>
			</td>
			<td style="text-align: center">
				<xsl:value-of select="@qty"/>
			</td>
			<td style="text-align: center">
				<xsl:value-of select="@so"/>
			</td>
		</tr>
		<xsl:if test="(string(following-sibling::Item/@box) !='') and (string(following-sibling::Item/@box) != string(@box))">
			<tr bgcolor="#698b69">
				<td colspan="4">&#32;</td>
			</tr>
		</xsl:if>
		<xsl:apply-templates/>
	</xsl:template>
</xsl:stylesheet>